﻿using System;

/// @author ainimatikainen
/// @version 12.3.2025
/// <summary>
/// Ohjelma, joka laskee tuulen hyytävyyden muuttujien lämpötila, tuulennopeus ja Kosteus avulla, sekä voi hakea tarvittavat säätiedot verkkosivulta
/// </summary>


class TuulenHyytavyys
{
    // Tuulenhyytävyyden kaavaan tarvittavat muuttujat (T = lämpötila, V = tuulennopeus, Kosteus)
    public static double TuulenHyytavyysKaava(double T, double V, double Kosteus)
    {
        // Tuulen hyytävyyden kaava = TH
        double TH = 13.12 + 0.6215 * T - 11.37 * Math.Pow(V, 0.16) + 0.3965 * Math.Pow(T, 0.16) + (0.05 * Kosteus);
        return TH;
    }

    // testi että koodi toimii random arvoilla 
    public static void Main()
    {
        // satunnaiset arvot muuttujille 
        double T = 10;       // Ilman lämpötila (°C)
        double Kosteus = 75; // Kosteusprosentti (%)

        // Viikon tuulen nopeudet (km/h) jokaiselle päivälle
        double[] tuulenNopeudet = { 9, 12, 13, 25, 17, 30, 8 };        
        // Listataan viikonpäivien nimet
        string[] viikonPaivat = { "Maanantai", "Tiistai", "Keskiviikko", "Torstai", "Perjantai", "Lauantai", "Sunnuntai" };

        // silmukka, joka käy läpi viikonpäivät ja tuulen nopeudet
        for (int i = 0; i < viikonPaivat.Length; i++)
        {
            double V = tuulenNopeudet[i]; // Tuulen nopeus (km/h) i = viikonpäivä
            // Kutsutaan kaavaa
            double TH = TuulenHyytavyysKaava(T, V, Kosteus);
            // Tulostetaan tulos
            Console.WriteLine($"{viikonPaivat[i]}: Tuulen hyytävyyden arvo nopeudella {V} km/h on: {TH:F2} °C");
        }
    }
}